<template>
  <v-row>
    <v-col>
      <head-bar :title="pageTitle" />

      <page-menu :buttons="buttons"></page-menu>
    </v-col>
  </v-row>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  data() {
    return {
      pageTitle: 'Account',
      buttons: [
        {
          icon: 'card-account-details',
          text: 'Profile',
          to: '/account/profile',
        },
        {
          icon: 'map-marker-multiple',
          text: 'Addresses',
          to: '/account/addresses',
        },
        {
          icon: 'credit-card-multiple',
          text: 'Get paid directly online (coming soon)',
          to: '/account/wallet',
          disabled: true,
        },
        {
          icon: 'cog',
          text: 'Settings (coming soon)',
          to: '/account/settings',
          disabled: true,
        },
        {
          icon: 'information',
          text: "About CES'EATS",
          to: '/account/about',
        },
        {
          icon: 'face-agent',
          text: 'Support (coming soon)',
          to: '/account/support',
          disabled: true,
        },
      ],
    }
  },
})
</script>
